# Interface RangeJson

Range object.

See https://developers.arcgis.com/web-map-specification/objects/range/ https://developers.arcgis.com/web-scene-specification/objects/range/.

interface RangeJson {
interactionMode?: string;
numberOfStops?: number;
stopInterval?: number;
}

#####
Index

### Properties

interactionMode?
numberOfStops?
stopInterval?

##
Properties

### `Optional` interactionMode

interactionMode?: string

Indicates the mode in which the active range should be presented to the user. Must be one of the following values: slider, picker.

### `Optional` numberOfStops

numberOfStops?: number

This is used to generate the activeRangeValues if activeRangeValues are not specified.

### `Optional` stopInterval

stopInterval?: number

Interval in which stops should be generated.